#include <fstream>
using namespace std;
int Binary(long long n) 
{ 
    long long a[1000]; 
	for(int i=0;n>0;i++)  
	{  
		a[i]=n%2;  
		n=n/2;    
    }
    for(int i=i-1;i>=0;i--)  
	{  
	return a[i];  
	}  
}
 
int main() 
{ 
	ifstream f("doinp.inp");
	ofstream g("doinp.out");
    long long m,a[999999]; int j;
    f>>m;
    for (j=1;j<=m;j++)
    {f>>a[j];}
	Binary(a[j]);
	g<<a[j]<<endl;
	return 0; 
} 
	
 

